Download it now!
Bug 49928 - Changing a page's style changes the styles of other pages.
Summary: Changing a page's style changes the styles of other pages.
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2012-05-14 11:50 UTC by Dotan Cohen
Modified: 2013-12-05 15:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
1 (92.03 KB, image/png)
2012-05-14 11:50 UTC, Dotan Cohen
Details
2 (90.25 KB, image/png)
2012-05-14 11:51 UTC, Dotan Cohen
Details
3 (89.21 KB, image/png)
2012-05-14 11:51 UTC, Dotan Cohen
Details
4 (90.00 KB, image/png)
2012-05-14 11:52 UTC, Dotan Cohen
Details
1 (92.03 KB, image/png)
2012-05-14 11:53 UTC, Dotan Cohen
Details
2 (90.25 KB, image/png)
2012-05-14 11:54 UTC, Dotan Cohen
Details
3 (89.21 KB, image/png)
2012-05-14 11:55 UTC, Dotan Cohen
Details
4 (90.00 KB, image/png)
2012-05-14 11:55 UTC, Dotan Cohen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2012-05-14 11:50:56 UTC
Created attachment 61640 [details]
1

When changing a page style in a document with tables that span pages, one cannot configure any single page's style.

The document in the screenshots has a table that spans pages 1 and 2. Page 3 is completely independent. The page has a custom page style added, called No Footer, which as the name implies does not have a footer. This style was added after the document already had a footer, with the intention of removing the footer from page 2. For this purpose it worked fine. Now the user would like to removed the footer from page 1 and add the footer back to page 2.

The following attachments illustrate this story:

1 - Starting configuration. Footer on pages 1 and 3. The goal is to have a footer on pages 2 and 3.

2 - Clicked on page 2 and double clicked on Default. It can be seen that the style is now Default but there is no footer on that page.

3 - Clicked on page 1 and double clicked on No Footer. It can be seen that page 1 now has no footer (correct) and page 2 has no footer (correct) but page 3 lost it's footer!

4 - Clicked on page 3 and double clicked on Default. It can be seen that page 3 now got its footer (correct) but page 1 gained a footer (incorrect) and page 2 lost its footer (incorrect).
Comment 1 Dotan Cohen 2012-05-14 11:51:30 UTC
Created attachment 61641 [details]
2
Comment 2 Dotan Cohen 2012-05-14 11:51:47 UTC
Created attachment 61642 [details]
3
Comment 3 Dotan Cohen 2012-05-14 11:52:07 UTC
Created attachment 61643 [details]
4
Comment 4 Dotan Cohen 2012-05-14 11:53:52 UTC
Created attachment 61644 [details]
1
Comment 5 Dotan Cohen 2012-05-14 11:54:18 UTC
Created attachment 61645 [details]
2
Comment 6 Dotan Cohen 2012-05-14 11:55:13 UTC
Created attachment 61646 [details]
3
Comment 7 Dotan Cohen 2012-05-14 11:55:36 UTC
Created attachment 61647 [details]
4
Comment 8 Roman Eisele 2012-05-14 23:50:12 UTC
@Dotan Cohen:
Thank you very much for your report! However, if I understand your issue correctly, this is not a bug/problem in LibreOffice, it is a misunderstanding about how page styles work and get applied to pages.

When you double-click any page style from the "Styles and formatting" window, you do NOT change just the page style of the current page (as you might assume), but the page style of all pages in the current text section. This is not a bug, it is just the normal and expected behaviour of LibreOffice Writer as a word processor, which is, unlike DTP applications, text-centered and not page-centered.

If you want to change the page style for a specific page or a run of pages, just go to the beginning of the text which runs over this/these page(s), and select "Insert > Manual break ..." from the menu. In the dialog window which now appears select "Page break" and then click "OK". Now go to the end of the text which runs over the page(s) you want to change, and select a Page break again. If you now click somewhere between the two page breaks, and double-click any page style in the "Styles and formatting" window, the page style you selected will get applied only to the pages between the two page breaks. This should do the trick ... to whatever page style changes you might want.

If this explanation solves your issue, please set the Status of this bug report to RESOLVED/NOTABUG (this is my suggestion ;-). If you feel that this explanation goes into the right direction, but is not sufficient to help you, please leave a note or take a look at the LibreOffice online help. If you think that my explanation is completey off and that I have completely missed your issue, I am sorry, but then please try to explain again what's wrong ...

NB: There is a very similar issue: see bug 37216, now closed.

Added to our container issue (bug 48741) for header/footer/page style issues, at least for documentary purposes (even if this issue is just a misunderstanding, it is good to know that we might think about improving the UI, or the documentation or the like).
Comment 9 Dotan Cohen 2012-05-15 05:39:03 UTC
@Roman Eisele:
Thank you for the information. I did not realise that pages of a similar style must be separated by pagebreaks. However, coincidentally, each page of this particular document does end with a page break! So the bug still stands.

To attest that the page breaks exist in the document without having to upload it (sensitive information), consider the starting condition of the document as described:
Page 1 is Default page style
Page 2 is No Footer page style
Page 3 is Default page style

Furthermore, in the first screenshot it can be seen LO's new pagebreak indicator between the pages.
Comment 10 Roman Eisele 2012-05-15 09:56:34 UTC
@Dotan Cohen:
Thank you very much for your reply! I'm sorry that I missed the fact that you already had page breaks inserted into your file -- normally, missing to insert page breaks is the reason of all such page style problems.

Now I try to find out by experiment if I can find out what makes the difference, i.e., why in your case this does not work. It is difficult, of course, without your original document ...

Is there any chance that you could create a 'demonstration' version of your file, I mean, that you could make a copy of your file, and then clear the contents of every table cell (just put a blank into every cell, or just nothing), and replace every paragraph of text (outside of the tables) with a single sentence or so of nonsense/placeholder text? In this way it should be possible to preserve most the page layout (there should be still three pages with tables, etc.), but the sensitive contents would disappear. If in this 'demonstration' version the problem would still appear, this would be very very helpful to figure out what's going wrong here.

Therefore, if you could afford the time to make up such a 'demonstration' version, this would be highly appreciated. Thank you anyway!
Comment 11 Roman Eisele 2012-05-15 10:12:27 UTC
Wait a minute -- playing around with a reconstructed sample document I got an idea. I should have realized this earlier (and my description in comment #8 is incomplete in this regard), but it is a simple point even missing from some documentation ...

Could you please try the following steps (I assume that the goal is still to have a footer on pages 2 and 3, and that the Default page style includes a footer):

1) Please go to the top of page 2. Move the mouse over the new pagebreak indicator between the pages 1 and 2, until the blue popup menu appears. Click on this popup menu and select "Edit Page Break ...". Now the dialog window "Paragraph" appears. In the tab "Text Flow" and the section "Breaks", activate the check box "With page style". The popup menu right of the checkbox should be enabled now. Select "Default" in this popup menu, and click "OK".

2) Similarily, please go to the top of page 3. Move the mouse over the new pagebreak indicator between the pages 2 and 3, until the blue popup menu appears. Click on this popup menu and select "Edit Page Break ...". Now the dialog window "Paragraph" appears. In the tab "Text Flow" and the section "Breaks", activate the check box "With page style". The popup menu right of the checkbox should be enabled now. Select "Default" in this popup menu, and click "OK".

3) Now please go to the top of page 1 and click somewhere into the text (maybe into the 1st paragraph). In the "Styles and formatting" window, select the page styles tab and double-click the "No Footer" page style.

Does this solve your problem? Or, at least, is there some progress now? What does the document look like now, I mean, which pages now do have a footer and which don't?

Thank you very much for trying this (and please forgive that I have missed this important detail first!!!).

If it does NOT solve the problem, the reasons must be more complex, and it would be very helpful to get a 'demonstration' version of your file, as said in comment #10 ...
Comment 12 Roman Eisele 2012-05-22 09:00:18 UTC
@Dotan Cohen:
I'm sorry if my first comment (comment #8) was superficial; it was too hasty, maybe caused by the experience that many issues with page styles are just caused by missing to insert a page break; I should have immediately noticed the missing details (see comment #11). But please forgive my mistake.

It would be very helpful if you could try out what I have proposed in comment #11; there is a good chance that this little detail (selecting "With page style" in the dialog window) solves the issue. We need to know if this solves the issue (no bug) or not (probably a bug), so please try it and leave a comment here. Thank you very much!

Changed the Status field to' Needinfo', because we now need the answer of the original reporter ...
Comment 13 QA Administrators 2013-05-26 22:32:07 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 14 QA Administrators 2013-07-08 21:21:19 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO